<?php
/**
 * 修复脚本 - 修正USDT地址显示和会员价格显示问题
 */

// 获取所有PHP文件
$files = glob(__DIR__ . '/*.php');

$replacements = 0;

foreach ($files as $file) {
    $content = file_get_contents($file);
    
    // 替换USDT_USDT_USDT_USDT_WALLET_ADDRESS为USDT_USDT_USDT_USDT_USDT_WALLET_ADDRESS
    $newContent = str_replace('USDT_USDT_USDT_USDT_WALLET_ADDRESS', 'USDT_USDT_USDT_USDT_USDT_WALLET_ADDRESS', $content);
    
    // 检查是否有变化
    if ($content !== $newContent) {
        file_put_contents($file, $newContent);
        $replacements++;
        echo "已修复 {$file} 中的USDT地址引用\n";
    }
}

// 特别处理TelegramMenuHandler.php中的硬编码会员价格
$menuHandlerFile = __DIR__ . '/TelegramMenuHandler.php';
$menuHandlerContent = file_get_contents($menuHandlerFile);

// 替换硬编码的会员价格为动态引用配置常量
$hardcodedPricePattern = "/\\\$text = \"<b>正版会员<\\/b>\\\\n\\\\n\";\\s+\\\$text \\.= \"3个月 \\/ 16 U\\\\n\";\\s+\\\$text \\.= \"6个月 \\/ 22 U\\\\n\";\\s+\\\$text \\.= \"一年 \\/ 36U\\\\n\\\\n\";/";
$dynamicPriceReplacement = "\$text = \"<b>正版会员</b>\\n\\n\";\n        \$text .= \"3个月 / \" . MEMBERSHIP_3_MONTHS_PRICE . \" U\\n\";\n        \$text .= \"6个月 / \" . MEMBERSHIP_6_MONTHS_PRICE . \" U\\n\";\n        \$text .= \"一年 / \" . MEMBERSHIP_12_MONTHS_PRICE . \"U\\n\\n\";";

$newMenuHandlerContent = preg_replace($hardcodedPricePattern, $dynamicPriceReplacement, $menuHandlerContent);

// 检查是否有变化
if ($menuHandlerContent !== $newMenuHandlerContent) {
    file_put_contents($menuHandlerFile, $newMenuHandlerContent);
    echo "已修复 {$menuHandlerFile} 中的硬编码会员价格\n";
    $replacements++;
}

echo "总共修复了 {$replacements} 处问题\n";
echo "修复完成！\n";
